/**********************************
*
*   CSS Stylesheet
*      by Carl J. Ntifo
*
*   Colours:   
*       Dark blue: rgb(0, 8, 20)
*       Acccent blue: rgb(0, 29, 61)
*       Main blue: rgb(0, 53, 102)
*       Main Yellow: rgb(245, 204, 0)
*       Accent Yellow: rgb(204, 160, 0)
*       Main Orange: rgb(255, 119, 0)
*       White and Black: #000000, #FFFFFF
*
***********************************/

*, *:before, *:after
{
    margin: 0;
    padding: 0;
    direction: ltr;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

html
{
    scroll-behavior: smooth;
}

body, section
{
    overflow-x: hidden;
}

div
{
    display: block;
}

ol, ul, dl
{
    list-style: none;
}

li
{
    display: inline-block;
}

a
{
    text-decoration: none;
}

img
{
    height: auto;
    max-width: 100%;
}

nav ul, footer ul
{
    list-style: none;
    padding: 0;
    margin: 0;
}

/********* Typography *****************/

h1, h2, h3, h4, h5, h6
{
    font-family: Verdana, Arial, sans-serif;
}

p, a, li, button, div, span, small, form, label, input[type=text], input[type=submit], input[type=button], textarea, select
{
    font-family: Verdana, Arial, sans-serif;
}

a
{
    color: rgb(0, 53, 102);
}

a:visited
{
    color: rgb(0, 53, 102);
}

a:hover
{
    color: rgb(255, 119, 0);
}

/************************************/

button, a.button
{
    border: 2px solid white;
    color: white;
    font-weight: 800;
    padding: 12px 40px;
    border-radius: 40px;
    
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    cursor: pointer;
}

button:hover, a.button:hover
{
    border: 2px solid rgb(245, 204, 0);
    color: rgb(245, 204, 0);
}

/**********************************/

.hero /*> .slide > img*/
{
    background-size: cover;
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
    height: 100%;
    width: 100%;
}

.hero .slide p {display: none;}

.slide { display: none; }

.dots
{
    position: absolute;
    bottom: 3em;
    right: 5em;
}

.dot 
{
    cursor: pointer;
    height: 1.2em;
    width: 1.2em;
    margin: 0 0.5em;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    -webkit-transition: background-color 0.6s ease;
    -o-transition: background-color 0.6s ease;
    transition: background-color 0.6s ease;
}

/* Fading animation */
.fade 
{
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}

@-webkit-keyframes fade 
{
    from {opacity: .4}
    to {opacity: 1}
}

@keyframes fade 
{
    from {opacity: .4}
    to {opacity: 1}
}

.title { text-align: center; padding: 0.5em 0; }

/**************************/

.about-hero, .small-hero
{
    background-image: url('../assets/img/singapore-1990959_1920.jpg');
    /*background-size: cover cover;*/
    background-size: cover; 
    height: 300px;
    width: 100%;
}

.about-title/*, .services-title, .contact-title*/
{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
}

#our-values
{
    position: relative;
    z-index: 1;
    background-image: url('../assets/img/values.jpg');
    /*background-image:  linear-gradient(black, black), url('../assets/img/values.jpg');*/
    background-size: cover;
    /*background-blend-mode: saturation; */
    width: 100%;
    padding: 20vh 0;
    padding: 10vh 0;
}

#our-values .text > *:nth-child(1)
{
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

#our-values .text > *:nth-child(2)
{
	-ms-grid-row: 1;
	-ms-grid-column: 2;
}

#our-values:before
{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background-color: rgb(0, 53, 102);
    opacity: 0.5;
}

#our-values .text
{
    z-index: 3;
    position: relative;
    display: -ms-grid;
    display: grid;
    padding: 0 2em;
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
}

#our-values h2
{
    -ms-flex-item-align: center;
        -ms-grid-row-align: center;
        align-self: center;
    text-align: right;
    color: white;
    font-size: 2.5em;
    padding-right: 15px;
}

#our-values ul
{
    display: inline-block;
    border-left: 5px solid white;
    padding-left: 20px;
}

#our-values li
{
    display: list-item;
    list-style-type: none;
    padding: 0.2em 0;
    color: white;
    font-size: 2em;
    font-weight: 800;
}



#about
{
    display: -ms-grid;
    display: grid;
    padding: 1em 3em;
    background-color: rgb(255, 255, 255);
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
}

#our-team/*, #our-services*/
{
    display: -ms-grid;
    display: grid;
    padding: 0 3em 1em;
    background-color: rgb(255, 255, 255);
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    -ms-grid-rows: auto;
    grid-template-rows: auto;
}

#our-team > .bio:nth-child(1)/*, #our-services*/
{
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

#our-team > .bio:nth-child(2)/*, #our-services*/
{
    -ms-grid-row: 2;
    -ms-grid-column: 1;
}

#our-team > *:nth-child(3)/*, #our-services*/
{
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

#about > *, #our-team > *
{   
    -ms-flex-item-align: center;   
        -ms-grid-row-align: center;   
        align-self: center;
    -ms-grid-column-align: center;
        justify-self: center;
}

#about img
{
    height: 200px;
}

#about p
{
    font-size: 1.10em;
}

#about div
{
    padding: 0;
	-ms-grid-column: 2;
}

.headshot
{
    width: 170px;
    height: 170px;
    border-radius: 50%;
}


.bio
{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 0.6em 1fr 0.6em 1fr 0.6em 1fr 0.6em 1fr;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: 0.6em;
    padding: 0.5em 0 1.2em;
    text-align: left;
}

.bio p
{
    margin: auto;
    -ms-grid-row: 1;
    grid-row: 1;
    -ms-grid-column: 2;
    grid-column: 2;
    -ms-grid-column-span: 8;
    grid-column-end: 6;
}

.bio-desc
{ 
    display: -ms-grid; 
    display: grid;
    margin: auto;
    text-align: center;
    -ms-grid-column: 1;
    grid-column: 1; 
    -ms-grid-column-span: 1; 
    grid-column-end: 1; 
}

.bio-desc > *:nth-child(1) { -ms-grid-row: 1; }
.bio-desc > *:nth-child(2) { -ms-grid-row: 2; }
.bio-desc > *:nth-child(3) { -ms-grid-row: 3; display: none; }
.bio-desc > *:nth-child(4) { -ms-grid-row: 4; }

.bio-desc > * { -ms-grid-column-align: center; justify-self: center; }

.bio:nth-of-type(2n) p
{
    -ms-grid-column: 1;
    grid-column: 1; -ms-grid-column-span: 7; grid-column-end: 5;
}
.bio:nth-of-type(2n) .bio-desc
{
    -ms-grid-column: 9;
    grid-column: 5; -ms-grid-column-span: 5; grid-column-end: 5;
}  


#services-strip
{
    display: -ms-grid;
    display: grid;
    /*background-color: rgb(255, 119, 0);*/
    -ms-grid-columns: (1fr)[4];
    grid-template-columns: repeat(4, 1fr);
    width: 85vw;
    margin: auto;
    padding: 2em 0;
}

#services-strip > *:nth-child(1)
{
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

#services-strip > *:nth-child(2)
{
	-ms-grid-row: 1;
	-ms-grid-column: 2;
}

#services-strip > *:nth-child(3)
{
	-ms-grid-row: 1;
	-ms-grid-column: 3;
}

#services-strip > *:nth-child(4)
{
	-ms-grid-row: 1;
	-ms-grid-column: 4;
}

#services-strip .service-info
{
    max-width: 200px;
    width: auto;
    color: white;
}

.button-row
{
    display: -ms-grid;
	-ms-grid-columns: 1fr;
    display: grid;
    padding: 1em 0;
}
    
@media only screen and (max-width: 992px) 
{
    .about-hero
    {
        height: 300px;    
    }
    
    #about
    {
        display: block;
        padding: 2em;
        margin: auto;
        text-align: center;
    }
    
    #about div
    {
        padding-top: 2em;
    }
    
    #our-values h2
    {
        font-size: 2.0em;
    }

    #our-values li
    {
        font-size: 1.5em;
    }
    
    .about-title
    {
        display: block;
        margin: auto;
        text-align: center;
        padding: 1em 0 0;
    }
    
    .bio
    {
        display: block;
        width: 80%;
        text-align: center;
    }
    
    .bio p
    {
        padding: 1em 0;
    }
    
    #services-strip
    {
        width: 90vw;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (max-width: 768px)
{
    #our-values h2
    {
        font-size: 1.8em;
    }

    #our-values li
    {
        font-size: 1.3em;
    }
    
    #services-strip
    {
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
        -ms-grid-rows: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
    }
    
    #services-strip > *:nth-child(1)
    {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    
    #services-strip > *:nth-child(2)
    {
        -ms-grid-row: 1;
        -ms-grid-column: 2;
    }
    
    #services-strip > *:nth-child(3)
    {
        -ms-grid-row: 2;
        -ms-grid-column: 1;
    }
    
    #services-strip > *:nth-child(4)
    {
        -ms-grid-row: 2;
        -ms-grid-column: 2;
    }
}


@media only screen and (max-width: 600px)
{
    .about-hero
    {
        height: 330px;
    }
    
    #services-strip
    {
        display: block;
        padding: 1em 0 0;
    }
}

/**********************************/
/*****       SERVICES      ********/
/**********************************/

.services-title, .contact-title
{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
}

.service
{
    display: -ms-grid;
    display: grid;
    background-color: rgb(255, 255, 255);
    -ms-grid-columns: 2fr 5fr 2fr;
    grid-template-columns: 2fr 5fr 2fr;
    
    padding: 3em 0;
}

.service:nth-of-type(1)
{ background-color: rgb(255, 255, 255); }
.service:nth-of-type(2)
{ background-color: rgb(255, 119, 0); color: white; }
.service:nth-of-type(3)
{ background-color: rgb(255, 255, 255); }
.service:nth-of-type(4)
{ background-color: rgb(0, 53, 102); color: white; }


[class*=".service service-"]
{
    -ms-grid-row: 1;
    grid-row: 1;
}

.service ul
{
    display: block;
    list-style-type: disc;
    margin-bottom: 1 em;
    margin-left: 0;
    margin-right: 0;
    padding-left: 40px;
}

.service li
{
    display: list-item;
}

.service-info
{
    width: 200px;
    padding: 0;
    margin: auto;
    display: -ms-grid;
    display: grid;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}

.service-info > *:nth-child(1)
{
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

.service-info > *:nth-child(2)
{
	-ms-grid-row: 2;
	-ms-grid-column: 1;
}

.service-info > h4
{
    text-align: center;
}

.service-info img 
{ margin: auto; }

.service-desc
{
    -ms-grid-row: 1;
    grid-row: 1;
    -ms-grid-column: 2;
    grid-column: 2;
    -ms-grid-column-span: 3;
    grid-column-end: 3;
}
.service:nth-of-type(2n) .service-info
{
    -ms-grid-column: 3;
    grid-column: 3;
}
.service:nth-of-type(2n+1) .service-info
{
    -ms-grid-column: 1;
    grid-column: 1;
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 768px) 
{
    .services-title
    {
        display: block;
        margin: auto;
        text-align: center;
        padding: 1em 0 0;
    }
    
    .service
    {
        display: -ms-grid;
        display: grid;
        background-color: rgb(255, 255, 255);
        -ms-grid-rows: auto;
        grid-template-rows: auto;
        -ms-grid-columns: none;
        grid-template-columns: none;

        padding: 1.5em 1.5em;
        text-align: center;
    }
    
    .service > *:nth-child(1)
    {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    
    .service .service-info, .service:nth-of-type(2n) .service-info
    { 
        -ms-grid-row: 1; 
        grid-row: 1; 
        -ms-grid-column: 1; 
        grid-column: 1; 
    }
    
    .service-info
    {
        padding-bottom: 2em;
    }
    
    .service-desc 
    { 
        -ms-grid-row: 2; 
        grid-row: 2; 
        -ms-grid-column: 1; 
        grid-column: 1; 
    }
    
    .service ul
    {
        text-align: left;
    }
}

/**********************/

.contact-hero
{
    background-image: url('../assets/img/singapore-1990959_1920.jpg');
    background-size: cover; 
    height: 300px;
    width: 100%;
}

.box
{ 
    position: relative; 
    height: 300px; 
}

#contact-us
{
    width: 70%;
    margin: auto;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    
    position: absolute;
    top: -40px;
    margin: 0 auto;
    padding-bottom: 2em;
    left: 0;
    right: 0;
}

#contact-us > *:nth-child(1)
{
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

#contact-us > *:nth-child(2)
{
	-ms-grid-row: 1;
	-ms-grid-column: 2;
}

.contact-box
{
    max-width: 400px;
    width: auto;
    height: 220px;
    margin: auto;
    padding: 1em 1em;
    text-align: center;
    background-color: rgb(255, 255, 255);
}

.contact-box h4, .contact-box p, .contact-box a, .contact-box button
{
    padding-bottom: 1em;
}

.contact-box p
{
    font-size: 0.8em;
    padding-bottom: 1.4em;
}

.contact-box a.button
{
    border: 2px solid white;
    color: white;
    background-color: black;
    padding: 12px 30px;
    font-size: 1em;
}

.contact-box a.button:hover
{
    border: 2px solid rgb(245, 204, 0);
    color: rgb(245, 204, 0);
}

.contact-box i
{
    font-size: 1.6em;
    padding-bottom: 0.5em;
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 1158px) 
{
    #contact-us
    {
        width: 90%;
    }
}
    
    
/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 992px) 
{
    .contact-title
    {
        display: block;
        margin: auto;
        text-align: center;
        padding: 1em 0 0;
    }
    
    #contact-us
    {
        -ms-grid-columns: minmax(auto, 400px);
        grid-template-columns: minmax(auto, 400px);
        -ms-grid-rows: 1fr 2em auto;
        grid-template-rows: 1fr auto;
        margin: 0 auto;
        padding: 0 1em;
        width: -webkit-fit-content;
        width: -moz-fit-content;
        width: fit-content;
        top: 2em;
        grid-gap: 2em;
    }
    
    #contact-us > *:nth-child(1)
    {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    
    #contact-us > *:nth-child(2)
    {
        -ms-grid-row: 3;
        -ms-grid-column: 1;
    }
    
    .box { height: 600px; }
    
    .contact-box
    {
        width: 100%;
    }
}